aboutsummaryrefslogtreecommitdiffstats
path: root/test/scripts/setsid_wrapper.sh
diff options
context:
space:
mode:
authorSachin Saxena <sachin.saxena@freescale.com>2018-02-28 20:28:52 +0530
committerSachin Saxena <sachin.saxena@nxp.com>2018-02-28 20:34:56 +0530
commit0689fce93ba269c48f83a2f70f971b3976d04c90 (patch)
tree4cc2908df3598507cc1828ac19d8c43b22450ffa /test/scripts/setsid_wrapper.sh
parent746b57564deede624261ab8a96c94f562f24d22c (diff)
parentd594711a5d79859a7d0bde83a516f7ab52051d9b (diff)
Merge branch 'stable/1710' of https://gerrit.fd.io/r/vpp into 17101710
Diffstat (limited to 'test/scripts/setsid_wrapper.sh')
-rwxr-xr-xtest/scripts/setsid_wrapper.sh12
1 files changed, 12 insertions, 0 deletions
diff --git a/test/scripts/setsid_wrapper.sh b/test/scripts/setsid_wrapper.sh
new file mode 100755
index 00000000..6d63426b
--- /dev/null
+++ b/test/scripts/setsid_wrapper.sh
@@ -0,0 +1,12 @@
+#!/bin/bash
+
+if [[ "$1" == "1" ]]
+then
+ setsid scripts/run_in_venv_with_cleanup.sh $*
+else
+ setsid scripts/run_in_venv_with_cleanup.sh $* &
+ pid=$!
+ trap "echo setsid_wrapper.sh: got signal, killing child pid ${pid}; kill ${pid}; sleep .1;" SIGINT SIGTERM
+ wait ${pid}
+ exit $?
+fi